Create Merchant-Managed Subscription Charge

If you manage your own subscriptions, the Create Merchant-Managed Subscription Charge request enables you to process recurring charges for a specific subscription. Each charge is associated to the initial subscription based on the subscription ID.

👍

See the guide on using merchant-managed subscriptions

For more information on working with merchant-managed subscriptions, see Merchant-Managed Subscriptions.


Request Content

Send a charge object, with the following:

PropertyTypeRequired
amountdecimalrequired
chargeInfoobjectoptional (see chargeInfo)
currencystringrequired
level3Dataobjectoptional (see level3Data)
merchantTransactionIdstringoptional
shippingContactInfoobjectoptional (refer to shippingContactInfo)
taxReferencestringoptional
transactionMetaDataobjectoptional (refer to transactionMetaData)
scheduledbooleanoptional
vendorsInfoobjectoptional (see vendorsInfo)

Response Details

If successful, the response HTTP status code is 200 OK.
The response body contains the charge object.

Examples

Request Examples

curl -v -X POST https://sandbox.bluesnap.com/services/2/recurring/ondemand/10543419 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 45,
  "currency": "USD",
  "merchantTransactionId": "MyUniqueOnDemandSubscription",
  "taxReference": "048deff0-a285-47e1-bc39-42f79bf0095b",
  "transactionMetaData": {
    "metaData": [
      {
        "metaValue": 3,
        "metaKey": "StateTaxAmount",
        "metaDescription": "State Tax Amount"
      },
      {
        "metaValue": 2,
        "metaKey": "CityTaxAmount",
        "metaDescription": "City Tax Amount"
      }
    ]
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/recurring/ondemand/10543419 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 45, 
  "currency": "USD",
  "scheduled": true,
  "payerInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "zip": "02453",
    "country": "us"
  },
  "paymentSource": {
    "creditCardInfo": {
      "creditCard": {
        "expirationYear": 2023,
        "securityCode": 111,
        "expirationMonth": "05",
        "cardNumber": 4012000033330026
      }
    }
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/recurring/ondemand/10543419 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 45,
  "currency": "USD",
  "merchantTransactionId": "MyUniqueOnDemandSubscription",
  "vendorsInfo": {
    "vendorInfo": [{ "vendorId": "10398032" }]
  }
}'

Response Examples

{
  "chargeId": 12949131,
  "subscriptionId": 10543419,
  "vaultedShopperId": 22194079,
  "transactionId": "1015010743",
  "merchantTransactionId": "MyUniqueOnDemandSubscription",
  "taxReference": "048deff0-a285-47e1-bc39-42f79bf0095b",
  "transactionDate": "2017-10-31",
  "amount": 45,
  "currency": "USD",
  "softDescriptor": "default_descriptor",
  "paymentSource": {
    "creditCardInfo": {
      "creditCard": {
        "cardLastFourDigits": "0026",
        "cardType": "VISA",
        "cardSubType": "CREDIT",
        "cardCategory": "CLASSIC",
        "expirationMonth": "05",
        "expirationYear": "2023"
      }
    }
  },
  "chargeInfo": {
    "chargeDescription": "OnDemand Subscription Charge",
    "chargeType": "RECURRING"
  },
  "processingInfo": {
      "processingStatus": "SUCCESS",
      "cvvResponseCode": "MA",
      "authorizationCode": "OK1510",
      "avsResponseCodeZip": "U",
      "avsResponseCodeAddress": "U",
      "avsResponseCodeName": "U",
      "networkTransactionId": 16029749259621,
      "transactionRegion": "US"
  }
}

API Explorer

To test out a call, enter an existing subscription ID (e.g. 10543419) in the subscription-id field. This will automatically insert the ID into the request URL. Click Try it! when you're ready to test the request.

Path Params
int32
required
Defaults to 10543419

BlueSnap identifier for the subscription.

Body Params
float
Defaults to 45
string
Defaults to USD
string
Defaults to MyUniqueOnDemandSubscription
string
Defaults to 048deff0-a285-47e1-bc39-42f79bf0095b
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!